package com.docus.server.collect.basic.ws;

import com.docus.server.collect.IWsCollector;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * 主动ws采集数据
 */
@Component("wsBasicCollectorImpl")
public class WsBasicCollectorImpl implements IWsCollector<TBasicDTO> {
    @Override
    public List<TBasicDTO> get(Date startDate, Date endDate, long pageNum, long pageSize) {
        TBasicDTO deptDTO = new TBasicDTO();
        deptDTO.setAdmissDate("1");
        deptDTO.setAdmissDays("admin");
        deptDTO.setAttendingName("1");

        TBasicDTO deptDTO1 = new TBasicDTO();
        deptDTO1.setAdmissDate("2");
        deptDTO1.setAdmissDays("admin2");
        deptDTO1.setAttendingName("2");
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
