package com.docus.server.collect.report.service;


import com.docus.server.archivefile.pojo.dto.ReportDTO;

import java.util.List;

/**
 * 报告服务
 *
 * @author wyb
 */
public interface IReportService {

    /**
     * 上报文件
     *
     * @param reportDTO 上报文件参数
     */
    void report(ReportDTO reportDTO);

    /**
     * 根据任务id集合补偿下载
     *
     * @param taskIds 任务id集合
     */
    void makeupThreePartyPushReportByTaskIds(List<Long> taskIds) throws Exception;
}
