package com.docus.server.record.pojo.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @BelongsProject: docus-webservice-sdry
 * @BelongsPackage: com.docus.server.collection.entity
 * @Author: chierhao
 * @CreateTime: 2023-03-07  15:29
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "tBasicExtend对象", description = "病案基本信息扩展")
public class TBasicExtend implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "病区编号")
    private String wardCode;

    @ApiModelProperty(value = "病区名称")
    private String wardName;

    @ApiModelProperty(value = "第三方索引")
    private String sdryIndex;
}
