package com.docus.log.annotation;

import com.docus.log.processor.ITrackProcessor;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface LogTrackGroup {

    String group();

    String desc() default "";

    String action();

    Class<? extends ITrackProcessor> processor();
}
