package com.docus.server.collect.basic.http;

import com.docus.server.collect.IHttpCollector;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * 主动http收集器,返回从客户那边获取的数据
 *
 * @see IHttpCollector
 * @see TBasicHttpCollectJob#execute(Date, Date, long, long)
 */
@Component("httpTBasicCollectorImpl")
public class HttpTBasicCollectorImpl implements IHttpCollector<TBasicDTO> {
    @Override
    public List<TBasicDTO> get(Date startDate, Date endDate, long pageNum, long pageSize) {
        TBasicDTO deptDTO = new TBasicDTO();

        TBasicDTO deptDTO1 = new TBasicDTO();
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
