package com.docus.server.collect.user.mq.test;

import com.docus.server.collect.IConverter;
import com.docus.server.collect.IHttpResult;
import com.docus.server.collect.web.enums.CollectTypeEnum;
import com.docus.server.collect.web.processor.VisitorProcessor;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author wen yongbin
 * @date 2023年2月25日21:56:33
 * @see CollectTypeEnum 枚举
 * @see IConverter 通用转化器
 * @see IHttpResult 通用返回结果
 * @see VisitorProcessor 通用处理器
 */

@Api(value = "用户管理接口", tags = "用户管理接口")
@Slf4j
@RestController
@RequestMapping("/api/rest/user")
public class MQTestRestController {
//    @Inject
//    private RmqProvdier rmqProvdier;

//    /**
//     * 测试rocket mq
//     */
//    @GetMapping("/test")
//    public void test() {
//        rmqProvdier.send("hello world");
//    }
}
