package com.docus.server.collect.web.enums;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 任务采集原始报文信息
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_original_message")
@ApiModel(value = "TaskOriginalMessage对象", description = "")
public class TaskOriginalMessage implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集名字")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "采集描述")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "采集类型")
    @TableField("collect_type")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "原始报文转对象json")
    @TableField("json_str")
    private Object jsonStr;

    @ApiModelProperty(value = "原始报文")
    @TableField("source")
    private String source;

    @ApiModelProperty(value = "状态 1：失败，0:成功")
    @TableField("state")
    private StateEnum state;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private Date updateTime;


}
