package com.docus.server.archivefile.pojo.dto;

import com.docus.server.archivefile.pojo.entity.AfReportRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ReportDownPatientDTO {
    @ApiModelProperty(value = "记帐号")
    private String jzh;
    @ApiModelProperty(value = "住院次数,记帐号重复则加这个参数，无则Null")
    private Integer admisstimes;
    @ApiModelProperty(value = "病案主键，如有传则使用，无则使用jzh")
    private String patientid;
    @ApiModelProperty(value = "病案号")
    private String inpatientno;

    @ApiModelProperty(value = "物理存储位置，有则传")
    private String storagelocation;

    public ReportDownPatientDTO(AfReportRecord reportRecord) {
        this.patientid = reportRecord.getPatientId();
        this.jzh = reportRecord.getJzh();
        this.admisstimes = reportRecord.getAdmissTimes();
        this.inpatientno = reportRecord.getInpatientNo();
    }

    public ReportDownPatientDTO(ReportDTO reportDTO) {
        this.patientid = reportDTO.getPatientId();
        this.jzh = reportDTO.getJzh();
        this.admisstimes = reportDTO.getAdmisstimes();
        this.inpatientno = reportDTO.getInpatientNo();
    }
}
