package com.docus.log.context;

import java.util.Map;

/**
 * helper for xxl-job
 *
 * @author xuxueli 2020-11-05
 */
public final class TrackHelper {


    // ---------------------- base info ----------------------

    /**
     * current JobId
     *
     * @return
     */
    public static Object getValue(String key) {
        TrackContext trackContext = TrackContext.get();
        if (trackContext == null) {
            return null;
        }

        return trackContext.getParams().get(key);
    }

    /**
     * current JobParam
     *
     * @return
     */
    public static Map<String, Object> getParams() {
        TrackContext trackContext = TrackContext.get();
        if (trackContext == null) {
            return null;
        }

        return trackContext.getParams();
    }

    public static void setParams(Map<String, Object> params) {
        TrackContext trackContext = TrackContext.get();
        if (trackContext == null) {
            return;
        }

        trackContext.getParams().putAll(params);
    }

}
