package com.docus.server.sys.common.pojo.dto;

import lombok.Data;

/**
 * @author Fang Ruichuan
 * @date 2022-11-14 19:02
 */
@Data
public class UserModifyParam {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 用户工号
     */
    private String userName;
    /**
     * 所属科室编号
     */
    private String deptId;
    /**
     * 到时同步完让实施找下不重复的导入到角色表，程序再判断职位对应角色表存角色id(roleId),初始roleId=0
     */
    private String position;
    /**
     * 角色Id 初始 0
     */
    private Long roleId;
    /**
     * 用户密码
     */
    private String userPwd;

    /**
     * 操作人名称
     */
    private String authorName;


    /**
     * 操作人ID
     */
    private String authorId;
}
