package com.docus.server.his.infrastructure.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
@DS("his")
public interface HisUserMapper {

    List<UserDTO> getUserListView(@Param("startDate") Date startDate,
                                  @Param("endDate") Date endDate,
                                  @Param("offset") long offset,
                                  @Param("pageSize") long pageSize);


}
